require 'test_helper'

class GaleriaFotkiesControllerTest < ActionController::TestCase
  setup do
    @galeria_fotky = galeria_fotkies(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:galeria_fotkies)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create galeria_fotky" do
    assert_difference('GaleriaFotky.count') do
      post :create, galeria_fotky: @galeria_fotky.attributes
    end

    assert_redirected_to galeria_fotky_path(assigns(:galeria_fotky))
  end

  test "should show galeria_fotky" do
    get :show, id: @galeria_fotky
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @galeria_fotky
    assert_response :success
  end

  test "should update galeria_fotky" do
    put :update, id: @galeria_fotky, galeria_fotky: @galeria_fotky.attributes
    assert_redirected_to galeria_fotky_path(assigns(:galeria_fotky))
  end

  test "should destroy galeria_fotky" do
    assert_difference('GaleriaFotky.count', -1) do
      delete :destroy, id: @galeria_fotky
    end

    assert_redirected_to galeria_fotkies_path
  end
end
